---
title: llarp::layers::platform::AddressMapping

---

# llarp::layers::platform::AddressMapping





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[owns_range](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#function-owns-range)**(const [IPRange](Classes/structllarp_1_1IPRange.md) & range) const<br>return true if we own this exact range range.  |
| std::string | **[ToString](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::optional< [flow::FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) > | **[flow_info](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-flow-info)**  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[src](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-src)**  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[dst](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-dst)**  |
| std::vector< [IPRange](Classes/structllarp_1_1IPRange.md) > | **[owned_ranges](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-owned-ranges)** <br>ip ranges for "exit"  |

## Public Functions Documentation

### function owns_range

```cpp
bool owns_range(
    const IPRange & range
) const
```

return true if we own this exact range range. 

### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable flow_info

```cpp
std::optional< flow::FlowInfo > flow_info;
```


### variable src

```cpp
PlatformAddr src;
```


### variable dst

```cpp
PlatformAddr dst;
```


### variable owned_ranges

```cpp
std::vector< IPRange > owned_ranges;
```

ip ranges for "exit" 

-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000